# VisualStudioPlugin

abstract class VisualStudioPlugin : IdePlugin

A plugin for creating a Visual Studio solution for a gradle project.

## Constructors

VisualStudioPlugin
Link copied to clipboard
@Inject
constructor(instantiator: Instantiator, fileResolver: FileResolver, artifactRegistry: IdeArtifactRegistry, collectionCallbackActionDecorator: CollectionCallbackActionDecorator)

## Functions

addWorker
Link copied to clipboard
open fun addWorker(worker: Task)
apply
Link copied to clipboard
open fun apply(target: Project)
getCleanTask
Link copied to clipboard
open fun getCleanTask(): TaskProvider<out Task>
getLifecycleTask
Link copied to clipboard
open fun getLifecycleTask(): TaskProvider<out Task>
isRoot
Link copied to clipboard
open fun isRoot(): Boolean
toGradleCommand
Link copied to clipboard
open fun toGradleCommand(project: Project): String